<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chaozhanggui.dao.system.dao.TbPlussBankCodeYsMapper">
  <resultMap id="BaseResultMap" type="com.chaozhanggui.dao.system.entity.TbPlussBankCodeYs">
    <result column="contactLine" jdbcType="VARCHAR" property="contactline" />
    <result column="branchName" jdbcType="VARCHAR" property="branchname" />
    <result column="bankType" jdbcType="VARCHAR" property="banktype" />
    <result column="bankName" jdbcType="VARCHAR" property="bankname" />
    <result column="cityCode" jdbcType="VARCHAR" property="citycode" />
  </resultMap>
  <insert id="insert" parameterType="com.chaozhanggui.dao.system.entity.TbPlussBankCodeYs">
    insert into tb_pluss_bank_code_ys (contactLine, branchName, bankType, 
      bankName, cityCode)
    values (#{contactline,jdbcType=VARCHAR}, #{branchname,jdbcType=VARCHAR}, #{banktype,jdbcType=VARCHAR}, 
      #{bankname,jdbcType=VARCHAR}, #{citycode,jdbcType=VARCHAR})
  </insert>
  <insert id="insertSelective" parameterType="com.chaozhanggui.dao.system.entity.TbPlussBankCodeYs">
    insert into tb_pluss_bank_code_ys
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="contactline != null">
        contactLine,
      </if>
      <if test="branchname != null">
        branchName,
      </if>
      <if test="banktype != null">
        bankType,
      </if>
      <if test="bankname != null">
        bankName,
      </if>
      <if test="citycode != null">
        cityCode,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="contactline != null">
        #{contactline,jdbcType=VARCHAR},
      </if>
      <if test="branchname != null">
        #{branchname,jdbcType=VARCHAR},
      </if>
      <if test="banktype != null">
        #{banktype,jdbcType=VARCHAR},
      </if>
      <if test="bankname != null">
        #{bankname,jdbcType=VARCHAR},
      </if>
      <if test="citycode != null">
        #{citycode,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>
</mapper>